@charset "utf-8";

html {
	font-size: 10px;
}

html * {
	font-size: 1.4rem;
    box-sizing: border-box;
}

body {
    padding: 0;
    margin: 0;
}

.material-symbols-outlined, .material-symbols-outlined::before, material-symbols-outlined::after {
    padding: 0;
    margin: 0;
    line-height: 1;
}

:is(div, table, td, th, h1, h2, h3, h4, h5, p, ul, ol, li, dl, dt, dd) {
	margin: 0;
	padding: 0;
	float: none;
	border-collapse: collapse;
	list-style: none;
	line-height: 1.4;
}

.disp-none {
	display:none;	
}

.event-disabled, .event-disabled:focus, .event-disabled:visited {
	text-decoration: line-through;
	color: #999 !important;
	pointer-events: none;
}

a, a:visited {
	color:var(--col-link);	
}

.textd-none{
	text-decoration: none;
}

.textd-underline, .textd-uline-h:hover{
	text-decoration: underline;
}

.no-data{
	color:hsl(var(--col),0%,70%);
	text-decoration:line-through;
}

.fw-normal{
	font-weight:normal;	
}

.fw-bold{
	font-weight:bold;	
}

button, *[role=button] {
	cursor: pointer;
}

form {
    :is(input[type=text], input[type=number], input[type=date], input[type=password], textarea, select) {
        border: 1px solid var(--colgray-60);
        background: #fff;
        border-radius: 5px;
        font-size: 1.6rem;
        padding: 4px;
    }

    :is(input[type=text], input[type=number], input[type=date], input[type=password]) {
        padding-block: 8px;
        line-height: 1;
    }
    :is(input[type=text], input[type=number], input[type=date], input[type=password], textarea) {
        width: 100%;
        min-width: 250px;
    }

    :is(input[type=text], input[type=number], input[type=date], input[type=password], textarea):focus {
        background: var(--colgray-95);
    }
    button[type=submit] {
        background: var(--colgray-40);
        color: #fff;
        border-radius: 5px;
        border: none;
    }
    *::placeholder {
        color: var(--colgray-75);
    }
    iframe {
        width: 100%;
    }
}

body {
    display: block;
    flex-direction: column;
}